Home
Support Forums

Getting an error of dependencies

I need advice to debug deploy Netlify App

Build error logs are as follow:--------

12:21:05 PM: Build ready to start
12:21:07 PM: build-image version: 3bcb38c35508b42e9121d4badfe6d8c66fd7a3f0
12:21:07 PM: build-image tag: v4.3.2
12:21:07 PM: buildbot version: 65411f2e7f69c7fa96d0462983efb6ddda1b2bc8
12:21:07 PM: Fetching cached dependencies
12:21:07 PM: Starting to download cache of 177.6MB
12:21:09 PM: Finished downloading cache in 1.167286834s
12:21:09 PM: Starting to extract cache
12:21:14 PM: Finished extracting cache in 5.68573265s
12:21:14 PM: Finished fetching cache in 6.901474223s
12:21:14 PM: Starting to prepare the repo for build
12:21:15 PM: Preparing Git Reference refs/heads/main
12:21:15 PM: Parsing package.json dependencies
12:21:16 PM: Starting build script
12:21:16 PM: Installing dependencies
12:21:16 PM: Python version set to 2.7
12:21:16 PM: Started restoring cached node version
12:21:18 PM: Finished restoring cached node version
12:21:19 PM: Downloading and installing node v16.12.0…
12:21:19 PM: Downloading https://nodejs.org/dist/v16.12.0/node-v16.12.0-linux-x64.tar.xz
12:21:19 PM: Computing checksum with sha256sum
12:21:19 PM: Checksums matched!
12:21:22 PM: Now using node v16.12.0 (npm v8.1.0)
12:21:22 PM: Started restoring cached build plugins
12:21:22 PM: Finished restoring cached build plugins
12:21:22 PM: Attempting ruby version 2.7.2, read from environment
12:21:23 PM: Using ruby version 2.7.2
12:21:24 PM: Using PHP version 8.0
12:21:24 PM: Started restoring cached node modules
12:21:24 PM: Finished restoring cached node modules
12:21:24 PM: Installing NPM modules using NPM version 8.1.0
12:21:28 PM: npm ERR! code ERESOLVE
12:21:28 PM: npm ERR! ERESOLVE unable to resolve dependency tree
12:21:28 PM: npm ERR!
12:21:28 PM: npm ERR! While resolving: my-app@0.1.0
12:21:28 PM: npm ERR! Found: react@17.0.2
12:21:28 PM: npm ERR! node_modules/react
12:21:28 PM: npm ERR! react@"^17.0.2" from the root project
12:21:28 PM: npm ERR!
12:21:28 PM: npm ERR! Could not resolve dependency:
12:21:28 PM: npm ERR! peer react@">=15.5 <=16.x" from react-codemirror2@7.2.1
12:21:28 PM: npm ERR! node_modules/react-codemirror2
12:21:28 PM: npm ERR! react-codemirror2@"^7.2.1" from the root project
12:21:28 PM: npm ERR!
12:21:28 PM: npm ERR! Fix the upstream dependency conflict, or retry
12:21:28 PM: npm ERR! this command with --force, or --legacy-peer-deps
12:21:28 PM: Creating deploy upload records
12:21:28 PM: npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
12:21:28 PM: npm ERR!
12:21:28 PM: npm ERR! See /opt/buildhome/.npm/eresolve-report.txt for a full report.
12:21:28 PM: npm ERR! A complete log of this run can be found in:
12:21:28 PM: npm ERR! /opt/buildhome/.npm/_logs/2021-10-25T06_51_28_869Z-debug.log
12:21:28 PM: Error during NPM install
12:21:28 PM: Build was terminated: Build script returned non-zero exit code: 1
12:21:28 PM: Failing build: Failed to build site
12:21:29 PM: Failed during stage ‘building site’: Build script returned non-zero exit code: 1
12:21:29 PM: Finished processing build request in 21.314865095s

Hiya, sorry you are having trouble with your build.

This Support Guide contains a ton of useful debugging tips that can likely help you solve your problem :slight_smile:

We also recommend trying to search the forums with the build error you encountered - it’s likely your question was already asked by someone else!

If you are still having problems, please provide as much information as you can on what you have already tried, what your build settings are, your package.json, etc. Thanks!